Package org.apache.solr.client.solrj.io.eval

## Interface RecursiveBooleanEvaluator.StringChecker

All Superinterfaces:
  `RecursiveBooleanEvaluator.Checker`

Enclosing class:
  RecursiveBooleanEvaluator

    public static interface RecursiveBooleanEvaluator.StringChecker
    extends RecursiveBooleanEvaluator.Checker

### Method Summary

All Methods Instance Methods Default Methods
`default boolean` `isCorrectType​(Object value)`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.RecursiveBooleanEvaluator.Checker

`isNullAllowed, test`

### Method Detail

#### isCorrectType

    default boolean isCorrectType​(Object value)

Specified by:
  `isCorrectType` in interface `RecursiveBooleanEvaluator.Checker`